## org.biojava.bio.dp
Interface TransitionListener

public interface TransitionListener

Method Summary
`void` `postChangeTransitionScore(TransitionEvent te)`
`void` `postCreateTransition(TransitionEvent te)`
`void` `postDestroyTransition(TransitionEvent te)`
`void` `preChangeTransitionScore(TransitionEvent te)`
`void` `preCreateTransition(TransitionEvent te)`
`void` `preDestroyTransition(TransitionEvent te)`

Method Detail

### preCreateTransition

    public void preCreateTransition(TransitionEvent te)
                             throws ModelVetoException

### postCreateTransition

    public void postCreateTransition(TransitionEvent te)

### preDestroyTransition

    public void preDestroyTransition(TransitionEvent te)
                              throws ModelVetoException

### postDestroyTransition

    public void postDestroyTransition(TransitionEvent te)

### preChangeTransitionScore

    public void preChangeTransitionScore(TransitionEvent te)
                                  throws ModelVetoException

### postChangeTransitionScore

    public void postChangeTransitionScore(TransitionEvent te)